package com.muyu.rule.server;

import lombok.Setter;

import java.util.concurrent.atomic.AtomicReference;

/**
 * @Author：张承志
 * @Package：com.muyu.rule.server
 * @Project：cloud-etl-rule
 * @name：EngineConfig
 * @Date：2024/8/22 18:59
 */
public class EngineConfig {

    //public static final AtomicReference<String> executionMethodName = new AtomicReference<>("execute");
    public static final AtomicReference<String> executionMethodName = new AtomicReference<>("run");

    /**
     * 本地包名称
     */

    private String pack = "com.muyu.rule.server.engine.";

  //  E:\\临时\\2024年8月23日\\
    /**
     * 本地项目目录名称
     */
   private String location = "E:\\practical_training\\cloud-etl-rule\\cloud-rule-server\\src\\main\\java\\com\\muyu\\rule\\server\\engine\\";
/**
 * 本地源代码目录
 */
    private String localSource ="D:\\config\\engine\\source\\";

    /**
     * 本地编译目录
     */
    private String localTarget ="D:\\config\\engine\\target\\";

    /**
     * 服务器的源文件位置
     */
    private  String sourcePath ="home/source/";

    /**
     * 服务器的编译文件位置
     */
    @Setter
    private  String classPath ="home/class/";

   /**
     * 服务器目录路径
     * @return
     */
     //private String serverPath = "home/";

    // private String serverPath = "home/config/source/";

    /**
     * 服务器的包名
     * @return
     */

    private String serverPack="com.muyu.rule.server.basic.engine.value.";


    public String getPack() {
        return pack;
    }

    public void setPack(String pack) {
        this.pack = pack;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getLocalSource() {
        return localSource;
    }

    public void setLocalSource(String localSource) {
        this.localSource = localSource;
    }

    public String getLocalTarget() {
        return localTarget;
    }

    public void setLocalTarget(String localTarget) {
        this.localTarget = localTarget;
    }

    public String getSourcePath() {
        return sourcePath;
    }

    public void setSourcePath(String sourcePath) {
        this.sourcePath = sourcePath;
    }

    public String getClassPath() {
        return classPath;
    }

    public void setClassPath(String classPath) {
        this.classPath = classPath;
    }

    public String getServerPack() {
        return serverPack;
    }

    public void setServerPack(String serverPack) {
        this.serverPack = serverPack;
    }
}
